function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import DraftsProvider from './drafts.provider';
import React from 'react';
import ReactDOM from 'react-dom';
import { utils } from 'digirati-annotation-plugin-core';

export default function DraftsPlugin(root, attributes, store) {
  var label = attributes.label,
      filterBy = attributes.filterBy,
      emptyState = attributes.emptyState,
      hideIfEmpty = attributes.hideIfEmpty,
      thumbnailSize = attributes.thumbnailSize,
      showThumbnail = attributes.showThumbnail,
      description = attributes.description,
      unknownProps = _objectWithoutProperties(attributes, ['label', 'filterBy', 'emptyState', 'hideIfEmpty', 'thumbnailSize', 'showThumbnail', 'description']);

  utils.unknownPropertyWarning(unknownProps);

  return ReactDOM.render(React.createElement(DraftsProvider, {
    label: label || "Your annotations",
    filterBy: filterBy,
    emptyState: emptyState,
    hideIfEmpty: hideIfEmpty,
    description: description,
    showThumbnail: showThumbnail === 'true',
    thumbnailSize: thumbnailSize ? parseInt(thumbnailSize, 10) : null,
    store: store
  }), root);
}