'use strict';

exports.__esModule = true;
exports.default = DraftsPlugin;

var _drafts = require('./drafts.provider');

var _drafts2 = _interopRequireDefault(_drafts);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactDom = require('react-dom');

var _reactDom2 = _interopRequireDefault(_reactDom);

var _digiratiAnnotationPluginCore = require('digirati-annotation-plugin-core');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function DraftsPlugin(root, attributes, store) {
  var label = attributes.label,
      filterBy = attributes.filterBy,
      emptyState = attributes.emptyState,
      hideIfEmpty = attributes.hideIfEmpty,
      thumbnailSize = attributes.thumbnailSize,
      showThumbnail = attributes.showThumbnail,
      description = attributes.description,
      unknownProps = _objectWithoutProperties(attributes, ['label', 'filterBy', 'emptyState', 'hideIfEmpty', 'thumbnailSize', 'showThumbnail', 'description']);

  _digiratiAnnotationPluginCore.utils.unknownPropertyWarning(unknownProps);

  return _reactDom2.default.render(_react2.default.createElement(_drafts2.default, {
    label: label || "Your annotations",
    filterBy: filterBy,
    emptyState: emptyState,
    hideIfEmpty: hideIfEmpty,
    description: description,
    showThumbnail: showThumbnail === 'true',
    thumbnailSize: thumbnailSize ? parseInt(thumbnailSize, 10) : null,
    store: store
  }), root);
}
module.exports = exports['default'];